%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           avant-window-navigator
Version:        0.2.6
Release:        8%{?dist}

Provides: avant-window-navigator-python = %{version}-%{release}
Obsoletes: avant-window-navigator-python < 0.2.6-3

Summary:        Fully customisable dock-like window navigator for GNOME

Group:          User Interface/Desktops
#libawn is LGPLv2+, rest is GPLv2+
License:        GPLv2+ and LGPLv2+
URL:            https://launchpad.net/awn
Source0:        https://launchpad.net/awn/0.2/0.2/+download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildRequires:  libwnck-devel, pygtk2-devel, GConf2-devel
BuildRequires:  gnome-common, startup-notification-devel
BuildRequires:  gnome-desktop-devel libgnome-devel gnome-vfs2-devel dbus-glib-devel libXdamage-devel libXcomposite-devel gnome-python2
BuildRequires:  gettext, intltool
BuildRequires:  desktop-file-utils
BuildRequires:  pyxdg

Requires:       gnome-python2-gconf, gnome-python2-gnomedesktop, pyxdg
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
Avant Window Navgator (Awn) is a dock-like bar which sits at the bottom of 
the screen (in all its composited-goodness) tracking open windows.

%package devel
Summary:    Fully customisable dock-like window navigator for GNOME
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
This package includes all header files and library of AWN for development.

%prep
%setup -q

#fix permissions
chmod 0644 $RPM_BUILD_DIR/%{name}-%{version}/src/xutils.h
chmod 0644 $RPM_BUILD_DIR/%{name}-%{version}/src/xutils.c
chmod 0644 $RPM_BUILD_DIR/%{name}-%{version}/src/inlinepixbufs.h


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
find ${RPM_BUILD_ROOT} -name '*.la' | xargs rm

%find_lang %{name}

desktop-file-install --vendor fedora --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --remove-category Application \
        $RPM_BUILD_ROOT%{_datadir}/applications/avant-window-navigator.desktop

desktop-file-install --vendor fedora --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --remove-category Application \
        $RPM_BUILD_ROOT%{_datadir}/applications/awn-manager.desktop


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/awn.schemas >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/awn.schemas > /dev/null || :

/sbin/ldconfig

touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/awn.schemas > /dev/null || :
fi

%postun
/sbin/ldconfig

touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.LIB ChangeLog README
%doc %{_datadir}/gtk-doc/html/libawn
%{_bindir}/*
%{_libdir}/libawn*.so.*
%{_libdir}/awn
%config(noreplace) %{_sysconfdir}/gconf/schemas/awn.schemas
%{_datadir}/applications/*
%{_datadir}/avant-window-navigator
%{_datadir}/icons/hicolor/*/apps/awn-manager*
%{python_sitelib}/awn


%files devel
%defattr(-,root,root,-)
%{_includedir}/libawn
%{_libdir}/libawn*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Mar 22 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.2.6-8
- Add missing pyxdg requires

* Tue Mar 20 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.2.6-6
- Incorparate the python package in main, #438411
* Mon Mar 17 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.2.6-3
- Fix python package

* Mon Mar 17 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.2.6-2
- Add missing pyxdg build depenency

* Mon Mar 17 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.2.6-1
- New release
- Re-enable gconf scriplets
- Add missing scriplets
- Update license

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.1-3
- Autorebuild for GCC 4.3

* Thu Nov 04 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.2.1-2
- New Release
* Wed Oct 21 2007 Huang Peng <phuang@redhat.com> - 0.2-1
- Update to 0.2
* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.1.1-4
- Rebuild for selinux ppc32 issue.
* Tue Jun 05 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.1.1-3
- Own %%{_datadir}/avant-window-navigator
* Tue Jun 05 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.1.1-2
- Add missing BRs
- Fix gconf scriplets
* Thu May 01 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.1.1-1
- Initial build

